Get article stock for the given IDs
GET
/v1/WebBooking/WebBookings/articleStocks
const url = 'https://rms.dev.caspeco.net/api/booking/v1/WebBooking/WebBookings/articleStocks';const options = {method: 'GET', headers: {system: 'example'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://rms.dev.caspeco.net/api/booking/v1/WebBooking/WebBookings/articleStocks \ --header 'system: example'Returns a list of article stocks.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Query Parameters
Section titled “Query Parameters”ArticleIds
Array<integer>
UnitIds
Array<integer>
Types
Array<integer>
IncludeArticleStockChanges
boolean
IncludeAllForArticleId
boolean
LatestStockTakingId
integer format: int64
DurableTo
string
ValidityDate
string
ValidityDateFrom
string
Top
integer format: int32
Skip
integer format: int32
OrderBy
Array<object>
object
columnName
string
sortDirection
integer
Filter
string
ReadOnlyParameters
object
key
additional properties
string
Sparse
boolean
SearchQueryString
string
Responses
Section titled “Responses”Success
Media typeapplication/json
Array
object
id
integer format: int64
articleId
integer format: int64
unitId
integer format: int64
quantity
number format: double
refillDayNumbers
Array<integer>
durabilityHours
number format: double
refillTime
number format: double
durableTo
string format: date-time
type
integer
validityDate
string format: date-time
affectsRuleId
integer format: int64
comment
string
referenceId
string
referenceType
string
createdDate
string format: date-time
createdBy
string
info
string
Example
{ "application/json": { "guid": "900A1595-354F-4F3C-BCA6-797EB90796BF", "globalBookingNumber": "X7GW", "unitId": 827, "start": "2015-06-15T18:00:00", "end": "2015-06-15T20:00:00", "status": 102, "subStatus": 0, "statusName": "confirmed", "guests": 4, "guestsChildren": 2, "message": "The children will use normal chairs", "createdDate": "2015-05-24T16:34:29", "changeDate": "2015-05-24T16:34:29", "recoupTime": 15, "articles": [ { "articleId": 82735, "bookedArticleId": 0, "bookedArticleParentId": 0, "sectionId": 0, "articleGroupId": 726, "articleGroupName": "Outside", "articleGroupType": 0, "unitId": 827, "departmentId": "1,2,3", "start": "2015-06-15T18:00:00", "end": "2015-06-15T20:00:00", "name": "Table 10", "tableName": "10", "tableNumber": "10", "tableChairs": 2, "message": "", "quantity": 0, "isTable": true, "outPriceIncVat": 0, "vat": 0, "webFlags": 0, "priceModel": 0, "outAmountExVat": 0, "outAmountInclVat": 0 }, { "articleId": 82736, "bookedArticleId": 0, "bookedArticleParentId": 0, "sectionId": 0, "articleGroupId": 726, "articleGroupName": "Outside", "articleGroupType": 0, "unitId": 827, "departmentId": "1,2,3", "start": "2015-06-15T18:00:00", "end": "2015-06-15T20:00:00", "name": "Table 11", "tableName": "11", "tableNumber": "11", "tableChairs": 2, "message": "", "quantity": 0, "isTable": true, "outPriceIncVat": 0, "vat": 0, "webFlags": 0, "priceModel": 0, "outAmountExVat": 0, "outAmountInclVat": 0 } ], "nonTableArticles": [ { "articleId": 82735, "bookedArticleId": 0, "bookedArticleParentId": 0, "sectionId": 0, "articleGroupId": 726, "articleGroupName": "À la carte", "articleGroupType": 0, "unitId": 827, "departmentId": "1,2,3", "start": "2015-06-15T18:00:00", "end": "2015-06-15T20:00:00", "name": "Pasta Carbonara", "tableChairs": 0, "message": "Contains milk", "quantity": 4, "isTable": false, "outPriceIncVat": 0, "vat": 0, "webFlags": 0, "priceModel": 0, "outAmountExVat": 0, "outAmountInclVat": 0 } ], "chargeType": 0, "chargeId": "7263523", "chargeShouldPayAmount": 120, "chargeShouldPayVat": 0.2, "chargeStatus": 0, "chargeShouldPayAmountVat": 100, "chargeAuthorizedAmount": 120, "chargePayedAmount": 120, "chargeRefundedAmount": 0, "contact": { "returning": false, "id": 0, "fname": "John", "lname": "Doe", "phone": "", "mobile": "+46731234567", "fax": "", "email": "john.doe@mail.com", "streetaddress": "Main Street 1", "zipcode": "12345", "city": "Uppsala", "newsletter": false, "lastGrab": false, "allowStoringForever": true, "deliveryInfo": "" }, "customer": { "id": 0, "name": "John Doe Heavy Industries", "streetaddress": "Main Street 1", "zipcode": "12345", "city": "Uppsala", "orgNr": "556994-9927", "phone": "+46731234567", "fax": "", "email": "john.doe@mail.com", "information": "Always wants to pay double", "invoiceStreetaddress": "Main Street 1", "invoiceZipCode": "56789", "invoiceCity": "Uppsala", "invoiceCode1": "", "invoiceCode2": "", "invoiceCode3": "", "customerNumber": "", "accountManager": "", "webpage": "", "lastChangedUtc": "1753-01-01T00:00:00", "lastChangedBy": "", "agreementLevel": 0 }, "payMethod": { "id": 2, "name": "Invoice", "hidden": false, "changeStatus": 0 }, "arrangementName": "Bachelor Party for Steve", "markings": [ { "text": "VIP", "prefix": "V", "hidden": false } ], "bookingFlags": 0, "paymentEvents": [] }}